# Record TCefDownloadHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefDownloadHandler = record`

## Description

Structure used to handle file downloads. The functions of this structure will called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefDownloadHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_handler_capi.h">CEF source file: /include/capi/cef_download_handler_capi.h (cef_download_handler_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `can_download: function(self: PCefDownloadHandler; browser: PCefBrowser; const url, request_method: PCefString): integer; stdcall;`
| `on_before_download: function(self: PCefDownloadHandler; browser: PCefBrowser; download_item: PCefDownloadItem; const suggested_name: PCefString; callback: PCefBeforeDownloadCallback): Integer; stdcall;`
| `on_download_updated: procedure(self: PCefDownloadHandler; browser: PCefBrowser; download_item: PCefDownloadItem; callback: PCefDownloadItemCallback); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `can_download: function(self: PCefDownloadHandler; browser: PCefBrowser; const url, request_method: PCefString): integer; stdcall;`
This item has no description.

| `on_before_download: function(self: PCefDownloadHandler; browser: PCefBrowser; download_item: PCefDownloadItem; const suggested_name: PCefString; callback: PCefBeforeDownloadCallback): Integer; stdcall;`
This item has no description.

| `on_download_updated: procedure(self: PCefDownloadHandler; browser: PCefBrowser; download_item: PCefDownloadItem; callback: PCefDownloadItemCallback); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.